<%= form_for @changeset, @action, [multipart: true], fn f -> %>
  <%= if @changeset.action do %>
    <div class="alert alert-danger">
      <p>Oops, something went wrong! Please check the errors below.</p>
    </div>
  <% end %>

  <%= label f, :photo %>
  <%= file_input f, :photo %>
  <%= error_tag f, :photo %>

  <div>
    <%= submit "Upload" %>
  </div>
<% end %>